<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';


if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id']))$ank['id']=intval($_GET['id']);


if ($ank['id']==0)
{
$ank=get_user($ank['id']);
$set['title']=$ank['nick'].' - анкета '; // заголовок страницы
include_once 'sys/inc/thead.php';
title();

echo "<span class=\"status\">$ank[group_name]</span><br />\n";

if ($ank['ank_o_sebe']!=NULL)echo "<span class=\"ank_n\">О себе:</span> <span class=\"ank_d\">$ank[ank_o_sebe]</span><br />\n";




if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "<div class='foot'>&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n</div>\n";

include_once 'sys/inc/tfoot.php';
exit;
}

$ank=get_user($ank['id']);
if(!$ank){header("Location: /index.php?".SID);exit;}








$ank['rating']=intval(@mysql_result(mysql_query("SELECT SUM(`rating`) FROM `user_voice2` WHERE `id_kont` = '$ank[id]'"),0));
$set['title']=$ank['nick'].' - Данные'; // заголовок страницы
include_once 'sys/inc/thead.php';
title();


if ((!isset($_SESSION['refer']) || $_SESSION['refer']==NULL)
&& isset($_SERVER['HTTP_REFERER']) && $_SERVER['HTTP_REFERER']!=NULL &&
!ereg('info\.php',$_SERVER['HTTP_REFERER']))
$_SESSION['refer']=str_replace('&','&amp;',ereg_replace('^http://[^/]*/','/', $_SERVER['HTTP_REFERER']));

echo "<div class='mytitle'>\n";
echo "".online($ank['id'])." <a href='info.php?id=$ank[id]'>$ank[nick]</a><br/>Анкета\n";
echo "</div>\n";
/*

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time'"), 0)!=0)
{
$q=mysql_query("SELECT * FROM `ban` WHERE `id_user` = '$ank[id]' AND `time` > '$time' ORDER BY `time` DESC LIMIT 5");
while ($post = mysql_fetch_assoc($q))
{
echo "<span class='ank_n'>Забанен до ".vremja($post['time']).":</span>\n";
echo "<span class='ank_d'><a href='/pages/ban.php?id=$ank[id]'>".output_text($post['prich'])."</a></span><br />\n";
}
}
else
{
$narush=mysql_result(mysql_query("SELECT COUNT(*) FROM `ban` WHERE `id_user` = '$ank[id]'"), 0);
echo "<a href='/pages/ban.php?id=$ank[id]'>Нарушений:</a> ".(($narush==0)?" <span class='ank_d'>0</span><br />\n":" <span class=\"ank_d\">$narush</span><br />\n");
}

*/
echo "<div class='ank_razd'>\n";

if ($ank['ank_name']!=NULL)echo "<font color='green'>Имя:</font> <font color='#424140'>$ank[ank_name]</font><br />\n";
else
echo "<font color='green'>Имя</font>: <font color='#8f8c85'>Не заполнено</font><br />\n";
echo "</div>\n";
echo "<div class='ank_razd'>\n";
if ($ank['familiya']!=NULL)echo "<font color='green'>Фамилия:</font> <font color='#424140'>$ank[familiya]</font><br />\n";
else
echo "<font color='green'>Фамилия:</font> <font color='#8f8c85'>Не заполнено</font><br />\n";
echo "</div>\n";
echo "<div class='ank_razd'>\n";
if ($ank['ank_city']!=NULL)echo "<font color='green'>Город:</font> <font color='#424140'>$ank[ank_city]</font>\n";
else
echo "<font color='green'>Город:</font> <font color='#8f8c85'>Не заполнено</font>\n";
if ($ank['stran']==0)echo "\n";
if ($ank['stran']==1)echo " <img src='/style/strana/ru.png'>\n";
if ($ank['stran']==2)echo " <img src='/style/strana/ua.png'>\n";
if ($ank['stran']==3)echo " <img src='/style/strana/by.png'>\n";
if ($ank['stran']==4)echo " <img src='/style/strana/az.png'>\n";
if ($ank['stran']==5)echo " <img src='/style/strana/kz.png'>\n";
if ($ank['stran']==6)echo " <img src='/style/strana/uz.png'>\n";
if ($ank['stran']==7)echo " <img src='/style/strana/england.png'>\n";
if ($ank['stran']==8)echo " <img src='/style/strana/de.png'>\n";
echo "</div>\n";


echo "<div class='ank_razd'>\n";
if ($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL && $ank['ank_g_r']!=NULL){
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<font color='green'>Дата рождения:</font> <font color='#424140'>$ank[ank_d_r] $ank[mes] $ank[ank_g_r]</font> \n";
$ank['ank_age']=date("Y")-$ank['ank_g_r'];
if (date("n")<$ank['ank_m_r'])$ank['ank_age']=$ank['ank_age']-1;
elseif (date("n")==$ank['ank_m_r']&& date("j")<$ank['ank_d_r'])$ank['ank_age']=$ank['ank_age']-1;
echo "<font color='#424140'>($ank[ank_age] лет/года)</font><br />\n";
}
elseif($ank['ank_d_r']!=NULL && $ank['ank_m_r']!=NULL)
{
if ($ank['ank_m_r']==1)$ank['mes']='Января';
elseif ($ank['ank_m_r']==2)$ank['mes']='Февраля';
elseif ($ank['ank_m_r']==3)$ank['mes']='Марта';
elseif ($ank['ank_m_r']==4)$ank['mes']='Апреля';
elseif ($ank['ank_m_r']==5)$ank['mes']='Мая';
elseif ($ank['ank_m_r']==6)$ank['mes']='Июня';
elseif ($ank['ank_m_r']==7)$ank['mes']='Июля';
elseif ($ank['ank_m_r']==8)$ank['mes']='Августа';
elseif ($ank['ank_m_r']==9)$ank['mes']='Сентября';
elseif ($ank['ank_m_r']==10)$ank['mes']='Октября';
elseif ($ank['ank_m_r']==11)$ank['mes']='Ноября';
else $ank['mes']='Декабря';
echo "<font color='green'>День рождения:</font> <font color='#424140'>$ank[ank_d_r] $ank[mes]</font><br />\n";
}
else
echo "<font color='green'>Дата рождения:</font> <font color='#8f8c85'>Не заполнено</font><br />\n";
echo "</div>\n";

echo "<div class='ank_razd'>\n";
if ($ank['pol']==1)
echo "<font color='green'>Пол:</font> <font color='#424140'>Мужской</font><br />\n";
else
echo "<font color='green'>Пол:</font> <font color='#424140'>Женский</font><br />\n";
echo "</div>\n";
echo "<div class='ank_razd'>\n";

if ($ank['ank_icq']!=NULL && $ank['ank_icq']!=0)
echo "<font color='green'>ICQ:</font> <font color='#424140'>$ank[ank_icq]</font>\n";
else
echo "<font color='green'>ICQ:</font> <font color='#8f8c85'>Не заполнено</font>\n";
echo "</div>\n";
if ($ank['ank_mail']!=NULL && ($ank['set_show_mail']==1 || isset($user) && ($user['level']>$ank['level'] || $user['level']==4))){

if ($ank['set_show_mail']==0)$hide_mail=' (скрыт)';else $hide_mail=NULL;

if (preg_match("#(@mail\.ru$)|(@bk\.ru$)|(@inbox\.ru$)|(@list\.ru$)#", $ank['ank_mail']))
echo "<img src=\"http://status.mail.ru/?$ank[ank_mail]\" width=\"13\" height=\"13\" alt=\"\" /> <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail<br />\n";
else echo "<div class='ank_razd'>E-mail: <a href=\"mailto:$ank[ank_mail]\" title=\"Написать письмо\" class=\"ank_d\">$ank[ank_mail]</a>$hide_mail</div>\n";
}
echo "<div class='ank_razd'>\n";
if ($ank['ank_o_sebe']!=NULL)echo "<font color='green'>О себе:</font> <font color='#424140'>$ank[ank_o_sebe]</font><br />\n";
else
echo "<font color='green'>О себе:</font> <font color='#8f8c85'>Не заполнено</font>\n";
echo "</div>\n";
echo "<div class='ank_razd'>\n";
echo "<font color='green'>Профиль создан:</font> <font color='#424140'>".vremja($ank['date_reg'])."</font><br />\n";
echo "</div>\n";
echo "<div class='ank_razd'>\n";
echo "<font color='green'>Посл. посещение:</font> <font color='#424140'>".vremja($ank['date_last'])."</font><br />\n";
echo "</div>\n";

/*
echo "<b>IQddddddd:</b>\n";
echo "$ank[forum_post]";
echo "<br/>";
echo "<b>IQddddddd:</b>\n";
echo "$ank[balls]";
echo "<br/>";
echo "</div>\n";
*/

if (isset($user) && $user['id']==$ank['id'])
{
echo "<div class='foot'>\n";
echo "<a href='/anketa.php'>Редактировать</a>\n";
echo "</div>\n";
}

if ($user['level']>$ank['level']){
echo "<div class='foot'>\n";

if (user_access('user_prof_edit'))
echo "&raquo;<a href='/adm_panel/user.php?id=$ank[id]'>Редактировать профиль</a><br />\n";



if ($user['id']!=$ank['id']){



if (user_access('user_ban_set') || user_access('user_ban_set_h') || user_access('user_ban_unset'))
echo "&raquo;<a href='/adm_panel/ban.php?id=$ank[id]'>Нарушения (бан)</a><br />\n";





if (user_access('user_delete'))
{

echo "&raquo;<a href='/adm_panel/delete_user.php?id=$ank[id]'>Удалить пользователя</a>";
if (count(user_collision($mass,1))>1)
echo " (<a href='/adm_panel/delete_user.php?id=$ank[id]&amp;all'>Все ники</a>)";
echo "<br />\n";

}
}
}

if (user_access('adm_log_read') && $ank['level']!=0 && ($ank['id']==$user['id'] || $ank['level']<$user['level']))
echo "&raquo;<a href='/adm_panel/adm_log.php?id=$ank[id]'>Отчет по администрированию</a><br />\n";


echo "</div>\n";
include_once 'sys/inc/tfoot.php';
?>